﻿@using LAP.Areas.Adviser.Models
@model ClientSurveyModel
@{
    Layout = null;
    UserLogin userLogin = Model.ClientLoginData.UserLogin;
    bool isMarried = Model.ClientLoginData.ClientData.MaritalStatus == MaritalStatusEnum.Married && Model.ClientLoginData.SpouseData != null && Convert.ToDateTime(Model.ClientLoginData.ClientData.DateOfCurrentMarriage).IsNotEmptyDate();
    var clientFirstName = Model.ClientLoginData.ClientData.FirstName;
    var spouseFirstName = isMarried ? Model.ClientLoginData.SpouseData.FirstName : string.Empty;
    var clientFullName = Model.ClientLoginData.ClientData.Name;
    var spouseFullName = isMarried ? Model.ClientLoginData.SpouseData.Name : string.Empty;
    var adviserFirstName = Model.ClientLoginData.UserLogin.UserData.FirstName;
    var adviserFullName = Model.ClientLoginData.UserLogin.UserData.Name;
    var businessLogoImage = Model.BusinessLogoImage;
    var clientSpouseFirstName = clientFirstName;
    if (!string.IsNullOrEmpty(spouseFirstName))
        clientSpouseFirstName = $"{clientFirstName} and {spouseFirstName}";
    var clientSpouseFullName = clientFullName;
    if (!string.IsNullOrEmpty(spouseFullName))
        clientSpouseFullName = $"{clientFullName} and {spouseFullName}";
    var RIAName = Model.ClientLoginData.UserLogin.UserData.RIA?.Name;
    var BDName = Model.ClientLoginData.UserLogin.UserData.BD?.Name;
    var FMOName = Model.ClientLoginData.UserLogin.UserData.FMO?.Name;
    var compensationType = Model.ClientLoginData.UserLogin.UserData.CompensationType.GetDisplayName().ToLower();
}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>@System.IO.Path.GetFileNameWithoutExtension(Model.FileName)</title>
    <link href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap" rel="stylesheet">
    <link href="~/css/report-style.css" rel="stylesheet" />
</head>
<body>
    <div class="card">
        <div class="page">
            <div style="height: 80px; margin-top:80px">
                @if (!string.IsNullOrEmpty(businessLogoImage))
                {
                    <img src="@businessLogoImage" height="150" />
                }
            </div>
            <h1 class="font-weight-bold" style="margin-top:150px">
                Letter for Engagement of Services
            </h1>
            <p class="font-size-larger" style="margin-top:50px">
                Dear @clientSpouseFirstName,
            </p>
            <p class="font-size-larger">
                This Engagement Letter sets forth the specific terms of the engagement for services by and between:
                @adviserFullName, referred to as @adviserFirstName, and @clientSpouseFullName
                referred to as @clientSpouseFirstName.
            </p>
            <p class="font-size-larger">
                The purpose of this Engagement Letter is to create transparency and communicate the mutual
                expectations between @adviserFirstName and @clientSpouseFirstName.
                This engagement letter is not intended to be a legally binding agreement, but rather sets the rules of
                engagement between parties. Either party can terminate this agreement by providing, in writing, a
                notice of discontinuance of services.
            </p>
            <p class="font-size-larger">
                During the term of this engagement, @adviserFirstName may need to consult with other third-party
                professionals to provide @clientSpouseFirstName
                with a complete and accurate
                plan. All information, statements, and documents which @clientSpouseFirstName
                provide(s) will be kept in strict confidence between @adviserFirstName and any staff or third-party
                affiliates utilized in the LifeArcPlan™ planning process<b class="sup">*</b>.
            </p>
            <p class="font-size-larger">
                The scope of this engagement will include all Areas of Concern @clientSpouseFirstName
                have identified as being of importance to them in the LifeArcPlan™ Personal Information
                System survey.
            </p>
            <p class="font-size-larger font-weight-bold">
                The Areas of Concern available for @clientSpouseFirstName
                to select from include:
            </p>
            <ol class="font-size-larger">
                @foreach (var item in Model.PlanningItems)
                {
                    <li>@item.PlanningItem.ItemName</li>
                }
            </ol>
        </div>
        <p class="new-page"></p>
        <div class="page">
            <p class="font-size-larger font-weight-bold">
                @clientSpouseFirstName
                have identified the following Areas as important for them to seek :
            </p>
            <ol class="font-size-larger">
                @foreach (var item in Model.PlanningItems.Where(m => m.Active))
                {
                    <li>@item.PlanningItem.ItemName</li>
                }
            </ol>
            <h2 class="font-weight-bold text-heading">
                Steps of Analysis and Design
            </h2>
            <p class="font-size-larger">
                Under this Engagement, based on Client(s) stated Areas of Concern, @adviserFirstName will take
                the appropriate actions on @clientSpouseFirstName's
                behalf, from among the below-listed actions, as follows:
            </p>
            <ul class="font-size-larger">
                <li>Review and prioritize your goals and objectives.</li>
                <li>Develop a summary and analysis of your current financial situation.</li>
                <li>Present a written, recommended financial plan.</li>
                <li>Develop an action plan to help implement the agreed upon recommendations.</li>
                <li>
                    Schedule periodic review meetings to evaluate plan performance against stated goals
                    and objectives.
                </li>
            </ul>
            <p class="font-size-larger">If applicable,</p>
            <ul class="font-size-larger">
                <li>
                    Review current investment portfolio and identify recommendations to meet short- and long-term
                    goals and objectives.
                </li>
                <li>
                    Coordinate a retirement distribution income plan identifying set timelines for each income source.
                </li>
                <li>Review Social Security claiming strategies.</li>
                <li>
                    Review tax planning strategies.
                </li>
                <li>Create an education funding analysis and strategy.</li>
                <li>
                    Create a Charitable Gifting strategy.
                </li>
                <li>
                    Identify estate planning strategies to achieve an effective and efficient preservation of the estate
                    upon death, disability, or dissolution of the estate.
                </li>
            </ul>
            <p class="font-size-larger">
                In the capacity of an investment and/ or insurance professional, @adviserFirstName may discuss tax or
                legal solutions in broad terms, but @clientSpouseFirstName
                should consult their tax and legal professional for more specialized advice.
            </p>
        </div>
        <p class="new-page"></p>
        <h2 class="font-weight-bold text-heading">
            How @adviserFirstName Is Compensated
        </h2>
        <p class="font-size-larger">
            @adviserFirstName is compensated as a
            @(!string.IsNullOrEmpty(compensationType) ? compensationType : "___________________")
            adviser and/ or agent.
        </p>
        <p class="font-size-larger">
            If @clientSpouseFirstName
            choose(s) for @adviserFirstName to implement the
            recommendations outlined in the plan, then the adviser/agent may receive compensation either by
            commissions on insurance-based solutions, fees on investment-based solutions, or a combination of
            commissions and fees where the plan identifies both an insurance and investment-based solution.
        </p>
        <p class="font-size-larger">
            If @clientSpouseFirstName
            approve(s) the plan but prefer(s) to purchase the
            plan on a flat-fee basis, @clientSpouseFirstName
            agree(s) on a Preparation and
            Planning Fee of $ ___________________/hr. This includes analysis, design, and delivery of your financial plan,
            and a review meeting. Compensation for services is due and payable at time of review of the researched
            and prepared recommendations.
        </p>
        <p class="font-size-larger">
            If @clientSpouseFirstName
            do(es) not approve their plan’s recommendations,
            then @clientSpouseFirstName
            will not receive a copy of the LifeArcPlan™
            reports, associated reports , professional analyses, nor planning or reference materials; nor will they be
            obligated for payment.
        </p>
        <p class="font-size-larger">
            @adviserFirstName does not receive a referral fee from any other professionals to whom he/she may
            refer the client(s).
        </p>
        <h2 class="font-weight-bold text-heading">
            Client Responsibilities
        </h2>
        <p class="font-size-larger">
            In order to ensure @clientSpouseFirstName
            receive(s) sound and appropriate
            recommendations, it is @clientSpouseFirstName's
            responsibility to provide
            complete and accurate information while entering their personal and financial details, including, but
            not limited to, objectives, needs, and values, investment statements, tax returns, copies of wills, powers
            of attorney, trust documents, real estate deed, pre-and post-nuptial agreements, orders for support,
            insurance policies, employment benefits, retirement benefits, and all other relevant agreements, legal or
            otherwise. This list is not all-inclusive and any other relevant information should be disclosed in a timely
            manner. It is @clientSpouseFirstName’s
            responsibility to ensure that any material
            changes to the above-noted circumstances are disclosed to the adviser on a timely basis since they
            could impact the planning recommendations.
        </p>
        <h2 class="font-weight-bold text-heading">
            Agent/Adviser Responsibilities
        </h2>
        @if (!string.IsNullOrEmpty(RIAName))
        {
            <p class="font-size-xlarger">Investment Adviser Representative</p>
            <p class="font-size-larger">
                @adviserFirstName acknowledges their responsibility to adhere to the Investment Adviser Act and
                all applicable federal and state rules and regulations. At all times during this engagement, @adviserFirstName shall place
                @clientSpouseFirstName’s interest ahead of all other’s
                interest when working in the capacity of a fiduciary. In addition, if this engagement includes investment
                advice, @adviserFirstName is required to act as a fiduciary, as described by the Securities Exchange
                Commission (SEC) and/or the state securities regulation department.
            </p>
        }
        @if (!string.IsNullOrEmpty(BDName) || !string.IsNullOrEmpty(FMOName))
        {
            if (!string.IsNullOrEmpty(RIAName))
            {
                <p class="new-page"></p>
            }
            <p class="font-size-xlarger">
                @(!string.IsNullOrEmpty(BDName) && !string.IsNullOrEmpty(FMOName) ? $"Agent and Registered Representative" : !string.IsNullOrEmpty(BDName) ? "Registered Representative" : "Agent")
            </p>
            <p class="font-size-larger">
                @adviserFirstName acknowledges their responsibility to adhere to applicable state regulatory
                laws and all applicable contract requirements with the carriers they represent. @adviserFirstName
                acknowledges their responsibility to adhere to applicable state regulatory laws and all applicable
                contract requirements with the carriers they represent. At all times during this engagement, @adviserFirstName shall, to the best of their ability, select and recommend products that are suitable to the
                needs of @clientSpouseFirstName.
            </p>
            <p class="font-size-larger">
                @adviserFirstName looks forward to working with @clientSpouseFirstName
                to fulfill their personal and financial goals.
            </p>
        }
        else
        {
            if (string.IsNullOrEmpty(RIAName))
            {
                <p class="new-page"></p>
            }
        }
        @if ((!string.IsNullOrEmpty(RIAName) && string.IsNullOrEmpty(BDName) && string.IsNullOrEmpty(FMOName)) || ((!string.IsNullOrEmpty(BDName) || !string.IsNullOrEmpty(FMOName)) && string.IsNullOrEmpty(RIAName)))
        {
            <p class="new-page"></p>
        }
        <h2 class="font-weight-bold text-heading">
            Miscellaneous
        </h2>
        <p class="font-size-larger">
            This agreement evidences the total understanding between us and may not be modified, except in
            writing, unless agreed to and executed by both parties.
        </p>
        <p class="font-size-larger">
            Sincerely,
        </p><br />
        <div style="width: 100%; display: table;" class="font-size-larger">
            <div style="display: table-row">
                <div style="width: 450px; display: table-cell;">_____________________________</div>
                <div style="display: table-cell;">_____________________________</div>
            </div>
            <div style="display: table-row">
                <div style="width: 450px; display: table-cell;">Financial Adviser or Insurance Agent</div>
                <div style="display: table-cell;">Date</div>
            </div>
            <br /><br />
            <div style="display: table-row">
                <div style="width: 450px; display: table-cell;">@clientFullName:</div>
                @if (!string.IsNullOrEmpty(spouseFullName))
                {
                    <div class="display: table-cell;">
                        @spouseFullName:
                    </div>
                }
            </div>
            <div style="display: table-row">
                <div style="width: 450px; display: table-cell;">I accept the terms of this engagement letter.</div>
                @if (!string.IsNullOrEmpty(spouseFullName))
                {
                    <div style="display: table-cell;">
                        I accept the terms of this engagement letter.
                    </div>
                }
            </div>
            <br /><br />
            <div style="display: table-row">
                <div style="width: 450px; display: table-cell;">_____________________________</div>
                @if (!string.IsNullOrEmpty(spouseFullName))
                {
                    <div style="display: table-cell;">
                        _____________________________
                    </div>
                }
            </div>
            <div style="display: table-row">
                <div style="width: 450px; display: table-cell;">@clientFullName</div>
                @if (!string.IsNullOrEmpty(spouseFullName))
                {
                    <div style="display: table-cell;">
                        @spouseFullName
                    </div>
                }
            </div>
            <br /><br />
            <div style="display: table-row">
                <div style="width: 450px; display: table-cell;">_____________________________</div>
                @if (!string.IsNullOrEmpty(spouseFullName))
                {
                    <div style="display: table-cell;">
                        _____________________________
                    </div>
                }
            </div>
            <div style="display: table-row">
                <div style="width: 450px; display: table-cell;">Date</div>
                @if (!string.IsNullOrEmpty(spouseFullName))
                {
                    <div style="display: table-cell;">
                        Date
                    </div>
                }
            </div>
        </div>
        <p class="font-size-larger">
            <span class="sup">*</span>LifeArcPlan™ is a personal data-gathering and analysis tool used by financial professionals and their
            clients to obtain deeper financial insights. LifeArcPlan™ is most effective when keeping your personal,
            financial, and legal information frequently updated. This allows your financial professional to help
            ensure your financial planning solutions stay in alignment with current objectives and goals.
        </p>
    </div>
</body>
</html>
<style>
    body {
        font-family: 'Lato', sans-serif !important;
    }

    .font-size-larger {
        line-height: 1.4 !important;
    }

    .text-heading {
        color: #275e8e;
    }

    .sup {
        font-size: 25px !important;
        line-height: 1px;
    }

    .text-underline {
        border-bottom: solid 1px #000;
    }
</style>